# Generated from active_record_encryption-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name active_record_encryption

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Transparent ActiveRecord encryption
License: MIT
URL: https://github.com/alpaca-tc/active_record_encryption
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rubocop)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mysql2)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Provides transparent encryption for ActiveRecord. You can protect your data
with any encryption algorithm you want.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 0.3.0-1
- Initial package
